            dprint(2,"ConsumerImpl: task initialization OK");
			  
	  } catch (Exception e) {
		System.err.println("ConsumerImpl: error while loading class ..."+e.getMessage());		  
            e.printStackTrace();
        }

        //after creating the task you can modify some default properties if you want
        TaskInfo ti=new TaskInfo(myTask.getTaskInfo());
        ti.taskOriginator=new String(myNode.rmiRegistry);
        ti.taskOriginatorType=CXConst.consumerNode; //client
        ti.isLocal=isLocal; //I want it to get executed on the TS
        ti.isServerAllowed=isServerAllowed;
        ti.isProducerAllowed=isProducerAllowed;
        ti.jobId=CXConst.newTask; //to indicate a new task - I could use any negative number here 
        ti.taskId=new Sequence(-1,0,1,taskRange);
        myTask.setTaskInfo(ti);
        myTask.setOutputDestination(0,null,0); //this implies final results - no parent task
                    
        //set up your RMI connections ...
        if (System.getSecurityManager() == null) {
            System.setSecurityManager(new RMISecurityManager());
        }
    
        dprint(1,"ConsumerImpl: local init OK, trying to bind ...");
        String name = myNode.rmiRegistry;
        try {           
            Naming.rebind(name, this); 
            dprint(1,"ConsumerImpl bound at "+name);
        } catch (Exception e) {
            System.err.println("ConsumerImpl exception: " + 
			       e.getMessage());
            e.printStackTrace();
        }

        //now get hold of your task server and submit the task
        try {
          myTaskServerReference=getTaskServer(myTaskServer.rmiRegistry);
          dprint(2,"ConsumerImpl: ready to sign in ...");       
          myTaskServerReference.signIn(myNode);
          startTime=System.currentTimeMillis(); 
          dprint(2,"ConsumerImpl: ready to register task ..."); 
          myTaskServerReference.registerTask(taskClassName,myNode.rmiRegistry);
          dprint(2,"ConsumerImpl: ready to put task ..."); 
          myTaskServerReference.putTask(myTask.getTaskHeader(),myNode);
        } catch (Exception e) {
          System.err.println("Error while putting task to server:"+e.getMessage()); 
          e.printStackTrace();
        }
        dprint(2,"ConsumerImpl: put task OK waiting for results ...");        

    }

    /*************** consumer interface ***********************/

